package com.gic.auth.web.controller;

import com.gic.enterprise.utils.UserDetailUtils;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.auth.qo.CollaboratorListQO;
import com.gic.auth.service.CollaboratorApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;

@RestController
@RequestMapping("/collaborator")
public class CollaboratorController {
    private static final Logger LOGGER = LogManager.getLogger(CollaboratorController.class);

    @Autowired
    private CollaboratorApiService collaboratorApiService;

    @RequestMapping("/list")
    public RestResponse list(CollaboratorListQO params) {
        params.setEnterpriseId(UserDetailUtils.getUserDetail().getEnterpriseId());
        return ResultControllerUtils.commonResult(collaboratorApiService.page(params));
    }
}
